> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration provider info

> Returns metadata about an integration provider including available endpoints, authentication methods, and supported models or features.



## OpenAPI

````yaml /api-reference/controlplane.yml get /integrations/{integrationName}
openapi: 3.0.3
info:
  title: Blaxel Control Plane
  version: 0.0.1
servers:
  - description: Blaxel Control Plane
    url: https://api.blaxel.ai/v0
  - description: Blaxel Inference
    url: https://run.blaxel.ai
security:
  - OAuth2:
      - admin
  - ApiKeyAuth: []
paths:
  /integrations/{integrationName}:
    get:
      tags:
        - integrations
      summary: Get integration provider info
      description: >-
        Returns metadata about an integration provider including available
        endpoints, authentication methods, and supported models or features.
      operationId: GetIntegration
      parameters:
        - description: Name of the integration
          in: path
          name: integrationName
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integration'
          description: successful operation
      security:
        - OAuth2:
            - integrations:list
        - ApiKeyAuth: []
components:
  schemas:
    Integration:
      type: object
      description: Integration
      properties:
        additionalInfos:
          type: object
          description: Integration additional infos
          additionalProperties:
            type: string
        endpoints:
          $ref: '#/components/schemas/IntegrationEndpoints'
        headers:
          $ref: '#/components/schemas/IntegrationHeaders'
        name:
          type: string
          description: Integration name
        organizations:
          type: array
          description: Integration organizations
          items:
            $ref: '#/components/schemas/IntegrationOrganization'
        params:
          $ref: '#/components/schemas/IntegrationQueryParams'
        repositories:
          type: array
          description: Integration repositories
          items:
            $ref: '#/components/schemas/IntegrationRepository'
    IntegrationEndpoints:
      type: object
      description: Integration endpoints
      additionalProperties:
        $ref: '#/components/schemas/IntegrationEndpoint'
    IntegrationHeaders:
      type: object
      description: Integration headers
      additionalProperties:
        type: string
    IntegrationOrganization:
      type: object
      description: Integration organization
      properties:
        avatar_url:
          type: string
          description: Provider organization avatar URL
        displayName:
          type: string
          description: Provider organization display name
        id:
          type: string
          description: Provider organization ID
        name:
          type: string
          description: Provider organization name
    IntegrationQueryParams:
      type: object
      description: Integration query params
      additionalProperties:
        type: string
    IntegrationRepository:
      type: object
      description: Integration repository
      properties:
        id:
          type: string
          description: Repository ID
        isBl:
          type: boolean
          description: Whether the repository has Blaxel imports
        name:
          type: string
          description: Repository name
        organization:
          type: string
          description: Repository owner
        url:
          type: string
          description: Repository URL
    IntegrationEndpoint:
      type: object
      description: Integration endpoint
      properties:
        body:
          type: string
          description: Integration endpoint body
        ignoreModels:
          type: array
          description: Integration endpoint ignore models
          items:
            type: object
            additionalProperties: true
        method:
          type: string
          description: Integration endpoint method
        models:
          type: array
          description: Integration endpoint models
          items:
            type: object
            additionalProperties: true
        streamKey:
          type: string
          description: Integration endpoint stream key
        streamToken:
          $ref: '#/components/schemas/IntegrationEndpointToken'
        token:
          $ref: '#/components/schemas/IntegrationEndpointToken'
    IntegrationEndpointToken:
      type: object
      description: Integration endpoint token
      properties:
        received:
          type: string
          description: Integration endpoint token received
        sent:
          type: string
          description: Integration endpoint token sent
        total:
          type: string
          description: Integration endpoint token total
  securitySchemes:
    OAuth2:
      description: OAuth2 authentication with JWT tokens
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize
          scopes:
            admin: Administrative access
            agents:create: Create agents
            agents:delete: Delete agents
            agents:get: Get agent details
            agents:list: List agents
            agents:update: Update agents
            apiKey:list: List API keys
            apiKey:write: Create and delete API keys
            configurations:list: List configurations
            customdomains:create: Create custom domains
            customdomains:delete: Delete custom domains
            customdomains:get: Get custom domain details
            customdomains:list: List custom domains
            customdomains:update: Update custom domains
            functions:create: Create functions
            functions:delete: Delete functions
            functions:get: Get function details
            functions:list: List functions
            functions:update: Update functions
            integrations:create: Create integrations
            integrations:list: List integrations
            invitations:list: List invitations
            jobs:create: Create jobs
            jobs:delete: Delete jobs
            jobs:get: Get job details
            jobs:list: List jobs
            jobs:update: Update jobs
            locations:list: List locations
            mcphub:list: List MCP hub resources
            models:create: Create models
            models:delete: Delete models
            models:get: Get model details
            models:list: List models
            models:update: Update models
            policies:create: Create policies
            policies:delete: Delete policies
            policies:get: Get policy details
            policies:list: List policies
            policies:update: Update policies
            sandboxes:control: Control sandbox operations
            sandboxes:create: Create sandboxes
            sandboxes:delete: Delete sandboxes
            sandboxes:get: Get sandbox details
            sandboxes:list: List sandboxes
            sandboxes:update: Update sandboxes
            sandboxhub:list: List sandbox hub resources
            templates:get: Get template details
            templates:list: List templates
            volumeTemplates:create: Create volume templates
            volumeTemplates:delete: Delete volume templates
            volumeTemplates:get: Get volume template details
            volumeTemplates:list: List volume templates
            volumeTemplates:upsert: Create or update volume templates
            volumes:create: Create volumes
            volumes:delete: Delete volumes
            volumes:get: Get volume details
            volumes:list: List volumes
            workspaces:accept: Accept workspace invitation
            workspaces:create: Create workspaces
            workspaces:decline: Decline workspace invitation
            workspaces:delete: Delete workspaces
            workspaces:get: Get workspace details
            workspaces:invite: Invite users to workspace
            workspaces:leave: Leave workspace
            workspaces:list: List workspaces
            workspaces:remove: Remove users from workspace
            workspaces:update: Update workspaces
          tokenUrl: /oauth/token
        clientCredentials:
          scopes:
            admin: Administrative access
            agents:create: Create agents
            agents:delete: Delete agents
            agents:get: Get agent details
            agents:list: List agents
            agents:update: Update agents
            apiKey:list: List API keys
            apiKey:write: Create and delete API keys
            configurations:list: List configurations
            customdomains:create: Create custom domains
            customdomains:delete: Delete custom domains
            customdomains:get: Get custom domain details
            customdomains:list: List custom domains
            customdomains:update: Update custom domains
            functions:create: Create functions
            functions:delete: Delete functions
            functions:get: Get function details
            functions:list: List functions
            functions:update: Update functions
            integrations:create: Create integrations
            integrations:list: List integrations
            invitations:list: List invitations
            jobs:create: Create jobs
            jobs:delete: Delete jobs
            jobs:get: Get job details
            jobs:list: List jobs
            jobs:update: Update jobs
            locations:list: List locations
            mcphub:list: List MCP hub resources
            models:create: Create models
            models:delete: Delete models
            models:get: Get model details
            models:list: List models
            models:update: Update models
            policies:create: Create policies
            policies:delete: Delete policies
            policies:get: Get policy details
            policies:list: List policies
            policies:update: Update policies
            sandboxes:control: Control sandbox operations
            sandboxes:create: Create sandboxes
            sandboxes:delete: Delete sandboxes
            sandboxes:get: Get sandbox details
            sandboxes:list: List sandboxes
            sandboxes:update: Update sandboxes
            sandboxhub:list: List sandbox hub resources
            templates:get: Get template details
            templates:list: List templates
            volumeTemplates:create: Create volume templates
            volumeTemplates:delete: Delete volume templates
            volumeTemplates:get: Get volume template details
            volumeTemplates:list: List volume templates
            volumeTemplates:upsert: Create or update volume templates
            volumes:create: Create volumes
            volumes:delete: Delete volumes
            volumes:get: Get volume details
            volumes:list: List volumes
            workspaces:accept: Accept workspace invitation
            workspaces:create: Create workspaces
            workspaces:decline: Decline workspace invitation
            workspaces:delete: Delete workspaces
            workspaces:get: Get workspace details
            workspaces:invite: Invite users to workspace
            workspaces:leave: Leave workspace
            workspaces:list: List workspaces
            workspaces:remove: Remove users from workspace
            workspaces:update: Update workspaces
          tokenUrl: /oauth/token
      type: oauth2
    ApiKeyAuth:
      bearerFormat: API Key
      description: Long-lived API key for programmatic access
      scheme: bearer
      type: http

````